local addonName, addon = ...
local TCL = addon.TomCatsLibs
local TourGuideFrame = _G["TomCats-HivemindTourGuideFrame"]
DEBUGTOURGUIDE = TourGuideFrame

function TourGuideFrame.toggle()
    if (TourGuideFrame:IsShown()) then
        HideUIPanel(TourGuideFrame)
    else
        ShowUIPanel(TourGuideFrame)
    end
end

local function ADDON_LOADED(_, event, ...)
    local var1 = select(1, ...)
    if (var1 == addon.name) then
        TCL.Events.UnregisterEvent("ADDON_LOADED", ADDON_LOADED)
        UIPanelWindows["TomCats-HivemindTourGuideFrame"] = UIPanelWindows["SpellBookFrame"]
        TourGuideFrame.portrait:SetTexture("Interface\\AddOns\\" .. addon.name .. "\\images\\hivemind-icon");
        TourGuideFrame.portrait:SetTexCoord(0, 1, 0, 1);
        PortraitFrameTemplate_SetTitle(TourGuideFrame, "TomCat's Tours: The Hivemind");
        ButtonFrameTemplate_HideButtonBar(TourGuideFrame);
        ButtonFrameTemplate_HideAttic(TourGuideFrame);
    end
end

TCL.Events.RegisterEvent("ADDON_LOADED", ADDON_LOADED)